Index: general/genlib/aspell/aspell.ent
===================================================================
--- general/genlib/aspell/aspell.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/aspell/aspell.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -2,11 +2,10 @@
 <!ENTITY aspell-intro SYSTEM "aspell-intro.xml">
 <!ENTITY aspell-inst SYSTEM "aspell-inst.xml">
-<!ENTITY aspell-exp SYSTEM "aspell-exp.xml">
+<!ENTITY aspell-config SYSTEM "aspell-config.xml">
 <!ENTITY aspell-desc SYSTEM "aspell-desc.xml">
-<!ENTITY aspell-config SYSTEM "aspell-config.xml">
-<!ENTITY aspell-buildsize "9.4 MB">
 <!ENTITY aspell-version "0.50.3">
-<!ENTITY aspell-download-http "">
+<!ENTITY aspell-download-http "http://gd.tuwien.ac.at/gnu/gnusrc/aspell/aspell-&aspell-version;.tar.gz">
 <!ENTITY aspell-download-ftp "ftp://ftp.gnu.org/gnu/aspell/aspell-&aspell-version;.tar.gz">
 <!ENTITY aspell-size "917 KB">
+<!ENTITY aspell-buildsize "9.4 MB">
 <!ENTITY aspell-time "0.54 SBU">
Index: neral/genlib/expat/expat-config.xml
===================================================================
--- general/genlib/expat/expat-config.xml	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect2>
-<title>Configuring expat</title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-
-</sect3>
-
-</sect2>
-
Index: general/genlib/expat/expat.ent
===================================================================
--- general/genlib/expat/expat.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/expat/expat.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -3,9 +3,8 @@
 <!ENTITY expat-inst SYSTEM "expat-inst.xml">
 <!ENTITY expat-desc SYSTEM "expat-desc.xml">
-<!ENTITY expat-config SYSTEM "expat-config.xml">
+<!ENTITY expat-version "1.95.6">
+<!ENTITY expat-download-http "http://umn.dl.sourceforge.net/sourceforge/expat/expat-&expat-version;.tar.gz">
+<!ENTITY expat-download-ftp "ftp://ftp.yars.free.net/pub/software/unix/util/xml/expat-&expat-version;.tar.gz">
+<!ENTITY expat-size "292 KB">
 <!ENTITY expat-buildsize "3.2 MB">
-<!ENTITY expat-version "1.95.6">
-<!ENTITY expat-download-http "http://umn.dl.sourceforge.net/sourceforge/expat/expat-1.95.6.tar.gz">
-<!ENTITY expat-download-ftp "">
-<!ENTITY expat-size "292 KB">
 <!ENTITY expat-time "0.25 SBU">
Index: general/genlib/gdbm/gdbm.ent
===================================================================
--- general/genlib/gdbm/gdbm.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/gdbm/gdbm.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -4,9 +4,8 @@
 <!ENTITY gdbm-exp SYSTEM "gdbm-exp.xml">
 <!ENTITY gdbm-desc SYSTEM "gdbm-desc.xml">
-<!ENTITY gdbm-config SYSTEM "gdbm-config.xml">
+<!ENTITY gdbm-version "1.8.3">
+<!ENTITY gdbm-download-http "http://www.ibiblio.org/pub/gnu/gdbm/gdbm-&gdbm-version;.tar.gz">
+<!ENTITY gdbm-download-ftp "ftp://ftp.gnu.org/gnu/gdbm/gdbm-&gdbm-version;.tar.gz">
+<!ENTITY gdbm-size "228 KB">
 <!ENTITY gdbm-buildsize "4.1 MB">
-<!ENTITY gdbm-version "1.8.3">
-<!ENTITY gdbm-download-http "http://www.ibiblio.org/pub/gnu/gdbm/gdbm-1.8.3.tar.gz">
-<!ENTITY gdbm-download-ftp "ftp://ftp.gnu.org/gnu/gdbm/gdbm-1.8.3.tar.gz">
-<!ENTITY gdbm-size "228 KB">
 <!ENTITY gdbm-time "0.08 SBU">
Index: general/genlib/glib/glib.ent
===================================================================
--- general/genlib/glib/glib.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/glib/glib.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -3,10 +3,9 @@
 <!ENTITY GLib-inst SYSTEM "glib-inst.xml">
 <!ENTITY GLib-desc SYSTEM "glib-desc.xml">
-<!ENTITY GLib-config SYSTEM "glib-config.xml">
+<!ENTITY GLib-version "1.2.10">
+<!ENTITY GLib-download-http "http://gd.tuwien.ac.at/graphics/gimp/gtk/v1.2/glib-&GLib-version;.tar.gz">
+<!ENTITY GLib-download-ftp "ftp://ftp.gtk.org/pub/gtk/v1.2/glib-&GLib-version;.tar.gz">
+<!ENTITY GLib-size "412 KB">
 <!ENTITY GLib-buildsize "7 MB">
-<!ENTITY GLib-version "1.2.10">
-<!ENTITY GLib-download-http "">
-<!ENTITY GLib-download-ftp "ftp://ftp.gtk.org/pub/gtk/v1.2/glib-1.2.10.tar.gz">
-<!ENTITY GLib-size "412 KB">
 <!ENTITY GLib-time "0.26 SBU">
 
@@ -14,11 +13,10 @@
 <!ENTITY GLib2-intro SYSTEM "glib2-intro.xml">
 <!ENTITY GLib2-inst SYSTEM "glib2-inst.xml">
+<!ENTITY GLib2-exp SYSTEM "glib2-exp.xml">
 <!ENTITY GLib2-desc SYSTEM "glib2-desc.xml">
-<!ENTITY GLib2-exp SYSTEM "glib2-exp.xml">
-<!ENTITY GLib2-config SYSTEM "glib2-config.xml">
-<!ENTITY GLib2-buildsize "23.3 MB">
 <!ENTITY GLib2-version "2.2.3">
-<!ENTITY GLib2-download-http "">
+<!ENTITY GLib2-download-http "http://gd.tuwien.ac.at/graphics/gimp/gtk/v2.2/glib-&GLib2-version;.tar.bz2">
 <!ENTITY GLib2-download-ftp "ftp://ftp.gtk.org/pub/gtk/v2.2/glib-&GLib2-version;.tar.bz2">
 <!ENTITY GLib2-size "1.6 MB">
+<!ENTITY GLib2-buildsize "23.3 MB">
 <!ENTITY GLib2-time "0.49 SBU">
Index: general/genlib/gmp/gmp.ent
===================================================================
--- general/genlib/gmp/gmp.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/gmp/gmp.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -4,9 +4,8 @@
 <!ENTITY gmp-exp SYSTEM "gmp-exp.xml">
 <!ENTITY gmp-desc SYSTEM "gmp-desc.xml">
-<!ENTITY gmp-config SYSTEM "gmp-config.xml">
+<!ENTITY gmp-version "4.1.2">
+<!ENTITY gmp-download-http "http://www.ibiblio.org/pub/gnu/gmp/gmp-&gmp-version;.tar.bz2">
+<!ENTITY gmp-download-ftp "ftp://ftp.gnu.org/gnu/gmp/gmp-&gmp-version;.tar.bz2">
+<!ENTITY gmp-size "1.6 MB">
 <!ENTITY gmp-buildsize "29.0 MB">
-<!ENTITY gmp-version "4.1.2">
-<!ENTITY gmp-download-http "http://www.ibiblio.org/pub/gnu/gmp/gmp-4.1.2.tar.bz2">
-<!ENTITY gmp-download-ftp "ftp://ftp.gnu.org/gnu/gmp/gmp-4.1.2.tar.bz2">
-<!ENTITY gmp-size "1.6 MB">
 <!ENTITY gmp-time "0.86 SBU">
Index: neral/genlib/guile/guile-config.xml
===================================================================
--- general/genlib/guile/guile-config.xml	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect2>
-<title>Configuring Guile</title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-
-</sect3>
-
-</sect2>
-
Index: general/genlib/guile/guile.ent
===================================================================
--- general/genlib/guile/guile.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/guile/guile.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -2,11 +2,9 @@
 <!ENTITY guile-intro SYSTEM "guile-intro.xml">
 <!ENTITY guile-inst SYSTEM "guile-inst.xml">
-<!ENTITY guile-exp SYSTEM "guile-exp.xml">
 <!ENTITY guile-desc SYSTEM "guile-desc.xml">
-<!ENTITY guile-config SYSTEM "guile-config.xml">
-<!ENTITY guile-buildsize "30 MB">
 <!ENTITY guile-version "1.6.4">
 <!ENTITY guile-download-http "http://ftp.gnu.org/pub/gnu/guile/guile-&guile-version;.tar.gz">
 <!ENTITY guile-download-ftp "ftp://ftp.gnu.org/pub/gnu/guile/guile-&guile-version;.tar.gz">
 <!ENTITY guile-size "2.7 MB">
+<!ENTITY guile-buildsize "30 MB">
 <!ENTITY guile-time "0.79 SBU">
Index: neral/genlib/gwrap/gwrap-config.xml
===================================================================
--- general/genlib/gwrap/gwrap-config.xml	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ 	(revision )
@@ -1,7 +1,0 @@
-<sect2>
-<title>Configuring <application>G-Wrap</application></title>
-
-&library-config;
-
-</sect2>
-
Index: neral/genlib/gwrap/gwrap-exp.xml
===================================================================
--- general/genlib/gwrap/gwrap-exp.xml	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ 	(revision )
@@ -1,9 +1,0 @@
-<sect2>
-<title>Command explanations</title>
-
-<para><command>--prefix=/usr</command> : Change the <application>g-wrap
-</application> default installation directory of <filename>/usr/local
-</filename>.</para>
-
-</sect2>
-
Index: general/genlib/gwrap/gwrap.ent
===================================================================
--- general/genlib/gwrap/gwrap.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/gwrap/gwrap.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -2,11 +2,9 @@
 <!ENTITY gwrap-intro SYSTEM "gwrap-intro.xml">
 <!ENTITY gwrap-inst SYSTEM "gwrap-inst.xml">
-<!ENTITY gwrap-exp SYSTEM "gwrap-exp.xml">
 <!ENTITY gwrap-desc SYSTEM "gwrap-desc.xml">
-<!ENTITY gwrap-config SYSTEM "gwrap-config.xml">
-<!ENTITY gwrap-buildsize "4.6 MB">
 <!ENTITY gwrap-version "1.3.4">
 <!ENTITY gwrap-download-http "http://www.gnucash.org/pub/g-wrap/source/g-wrap-&gwrap-version;.tar.gz">
 <!ENTITY gwrap-download-ftp "">
 <!ENTITY gwrap-size "400 KB">
+<!ENTITY gwrap-buildsize "4.6 MB">
 <!ENTITY gwrap-time "0.09">
Index: general/genlib/ispell/ispell.ent
===================================================================
--- general/genlib/ispell/ispell.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/ispell/ispell.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -2,11 +2,9 @@
 <!ENTITY ispell-intro SYSTEM "ispell-intro.xml">
 <!ENTITY ispell-inst SYSTEM "ispell-inst.xml">
-<!ENTITY ispell-exp SYSTEM "ispell-exp.xml">
 <!ENTITY ispell-desc SYSTEM "ispell-desc.xml">
-<!ENTITY ispell-config SYSTEM "ispell-config.xml">
-<!ENTITY ispell-buildsize "11 MB">
 <!ENTITY ispell-version "3.2.06.epa6">
 <!ENTITY ispell-download-http "http://membled.com/work/patches/ispell/ispell-&ispell-version;.tar.bz2">
 <!ENTITY ispell-download-ftp "">
-<!ENTITY ispell-size "1.1 MB">
-<!ENTITY ispell-time "">
+<!ENTITY ispell-size "1.2 MB">
+<!ENTITY ispell-buildsize "11 MB">
+<!ENTITY ispell-time "0.03 SBU">
Index: neral/genlib/libesmtp/libesmtp-config.xml
===================================================================
--- general/genlib/libesmtp/libesmtp-config.xml	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect2>
-<title>Configuring <application>libesmtp</application></title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-
-</sect3>
-
-</sect2>
-
Index: general/genlib/libesmtp/libesmtp.ent
===================================================================
--- general/genlib/libesmtp/libesmtp.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/libesmtp/libesmtp.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -2,11 +2,9 @@
 <!ENTITY libesmtp-intro SYSTEM "libesmtp-intro.xml">
 <!ENTITY libesmtp-inst SYSTEM "libesmtp-inst.xml">
-<!ENTITY libesmtp-exp SYSTEM "libesmtp-exp.xml">
 <!ENTITY libesmtp-desc SYSTEM "libesmtp-desc.xml">
-<!ENTITY libesmtp-config SYSTEM "libesmtp-config.xml">
-<!ENTITY libesmtp-buildsize "5.0 MB">
 <!ENTITY libesmtp-version "1.0">
-<!ENTITY libesmtp-download-http "http://www.stafford.uklinux.net/libesmtp/libesmtp-1.0.tar.bz2">
+<!ENTITY libesmtp-download-http "http://www.stafford.uklinux.net/libesmtp/libesmtp-&libesmtp-version;.tar.bz2">
 <!ENTITY libesmtp-download-ftp "">
 <!ENTITY libesmtp-size "232 KB">
+<!ENTITY libesmtp-buildsize "5.0 MB">
 <!ENTITY libesmtp-time "0.15 SBU">
Index: general/genlib/libfam/libfam.ent
===================================================================
--- general/genlib/libfam/libfam.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/libfam/libfam.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -3,13 +3,10 @@
 <!ENTITY libfam-inst SYSTEM "libfam-inst.xml">
 <!ENTITY libfam-exp SYSTEM "libfam-exp.xml">
+<!ENTITY libfam-config SYSTEM "libfam-config.xml">
 <!ENTITY libfam-desc SYSTEM "libfam-desc.xml">
-<!ENTITY libfam-config SYSTEM "libfam-config.xml">
+<!ENTITY libfam-version "2.6.9">
+<!ENTITY libfam-download-http "http://oss.sgi.com/projects/fam/download/fam-&libfam-version;.tar.gz">
+<!ENTITY libfam-download-ftp "ftp://oss.sgi.com/projects/fam/download/fam-&libfam-version;.tar.gz">
+<!ENTITY libfam-size "300 KB">
 <!ENTITY libfam-buildsize "350 KB">
-<!ENTITY libfam-version "2.6.9">
-
-<!ENTITY libfam-download-http
-"http://oss.sgi.com/projects/fam/download/fam-&libfam-version;.tar.gz">
-<!ENTITY libfam-download-ftp
-"ftp://oss.sgi.com/projects/fam/download/fam-&libfam-version;.tar.gz">
-<!ENTITY libfam-size "300 KB">
 <!ENTITY libfam-time "0.68 SBU">
Index: general/genlib/lzo/lzo.ent
===================================================================
--- general/genlib/lzo/lzo.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/lzo/lzo.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -2,12 +2,9 @@
 <!ENTITY LZO-intro SYSTEM "lzo-intro.xml">
 <!ENTITY LZO-inst SYSTEM "lzo-inst.xml">
-<!ENTITY LZO-exp SYSTEM "lzo-exp.xml">
 <!ENTITY LZO-desc SYSTEM "lzo-desc.xml">
-<!ENTITY LZO-config SYSTEM "lzo-config.xml">
+<!ENTITY LZO-version "1.08">
+<!ENTITY LZO-download-http "http://www.oberhumer.com/opensource/lzo/download/lzo-&LZO-version;.tar.gz">
+<!ENTITY LZO-download-ftp "http://ftp.uni-koeln.de/util/arc/lzo-&LZO-version;.tar.gz">
+<!ENTITY LZO-size "421 KB">
 <!ENTITY LZO-buildsize "5.4 MB">
-<!ENTITY LZO-version "1.08">
-<!ENTITY LZO-download-http
-"http://www.oberhumer.com/opensource/lzo/download/lzo-&LZO-version;.tar.gz">
-<!ENTITY LZO-download-ftp "">
-<!ENTITY LZO-size "421 KB">
 <!ENTITY LZO-time "0.22 SBU">
Index: general/genlib/openssl/openssl.ent
===================================================================
--- general/genlib/openssl/openssl.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/openssl/openssl.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -3,10 +3,10 @@
 <!ENTITY openssl-inst SYSTEM "openssl-inst.xml">
 <!ENTITY openssl-exp SYSTEM "openssl-exp.xml">
+<!ENTITY openssl-config SYSTEM "openssl-config.xml">
 <!ENTITY openssl-desc SYSTEM "openssl-desc.xml">
-<!ENTITY openssl-config SYSTEM "openssl-config.xml">
-<!ENTITY openssl-buildsize "25 MB">
 <!ENTITY openssl-version "0.9.7b">
 <!ENTITY openssl-download-http "http://www.openssl.org/source/openssl-&openssl-version;.tar.gz">
 <!ENTITY openssl-download-ftp "ftp://ftp.openssl.org/source/openssl-&openssl-version;.tar.gz">
 <!ENTITY openssl-size "2.7 MB">
+<!ENTITY openssl-buildsize "25 MB">
 <!ENTITY openssl-time "3.35 SBU">
Index: general/genlib/pcre/pcre.ent
===================================================================
--- general/genlib/pcre/pcre.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/pcre/pcre.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -3,9 +3,8 @@
 <!ENTITY pcre-inst SYSTEM "pcre-inst.xml">
 <!ENTITY pcre-desc SYSTEM "pcre-desc.xml">
-<!ENTITY pcre-config SYSTEM "pcre-config.xml">
+<!ENTITY pcre-version "4.3">
+<!ENTITY pcre-download-http "http://keihanna.dl.sourceforge.net/sourceforge/pcre/pcre-&pcre-version;.tar.bz2">
+<!ENTITY pcre-download-ftp "ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-&pcre-version;.tar.bz2">
+<!ENTITY pcre-size "336 KB">
 <!ENTITY pcre-buildsize "2.8 MB">
-<!ENTITY pcre-version "4.3">
-<!ENTITY pcre-download-http "">
-<!ENTITY pcre-download-ftp "ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-4.3.tar.bz2">
-<!ENTITY pcre-size "336 KB">
 <!ENTITY pcre-time "0.19 SBU">
Index: general/genlib/popt.xml
===================================================================
--- general/genlib/popt.xml	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/popt.xml	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -5,5 +5,4 @@
 &popt-intro;
 &popt-inst;
-<!-- &popt-config; -->
 &popt-desc;
 
Index: neral/genlib/popt/popt-config.xml
===================================================================
--- general/genlib/popt/popt-config.xml	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect2>
-<title>Configuring <application>popt</application></title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-
-</sect3>
-
-</sect2>
-
Index: general/genlib/popt/popt.ent
===================================================================
--- general/genlib/popt/popt.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/popt/popt.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -2,11 +2,9 @@
 <!ENTITY popt-intro SYSTEM "popt-intro.xml">
 <!ENTITY popt-inst SYSTEM "popt-inst.xml">
-<!ENTITY popt-exp SYSTEM "popt-exp.xml">
 <!ENTITY popt-desc SYSTEM "popt-desc.xml">
-<!ENTITY popt-config SYSTEM "popt-config.xml">
+<!ENTITY popt-version "1.7">
+<!ENTITY popt-download-http "http://gd.tuwien.ac.at/utils/rpm.org/dist/rpm-4.1.x/popt-&popt-version;.tar.gz">
+<!ENTITY popt-download-ftp "ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.1.x/popt-&popt-version;.tar.gz">
+<!ENTITY popt-size "200 KB">
 <!ENTITY popt-buildsize "4 MB">
-<!ENTITY popt-version "1.7">
-<!ENTITY popt-download-http "">
-<!ENTITY popt-download-ftp "ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.1.x/popt-1.7.tar.gz">
-<!ENTITY popt-size "200 KB">
 <!ENTITY popt-time "0.06 SBU">
Index: general/genlib/readline/readline.ent
===================================================================
--- general/genlib/readline/readline.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/readline/readline.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -3,12 +3,10 @@
 <!ENTITY readline-inst SYSTEM "readline-inst.xml">
 <!ENTITY readline-exp SYSTEM "readline-exp.xml">
+<!ENTITY readline-config SYSTEM "readline-config.xml">
 <!ENTITY readline-desc SYSTEM "readline-desc.xml">
-<!ENTITY readline-config SYSTEM "readline-config.xml">
+<!ENTITY readline-version "4.3">
+<!ENTITY readline-download-http "http://ftp.gnu.org/gnu/readline/readline-&readline-version;.tar.gz">
+<!ENTITY readline-download-ftp "ftp://ftp.gnu.org/gnu/readline/readline-&readline-version;.tar.gz">
+<!ENTITY readline-size "944 KB">
 <!ENTITY readline-buildsize "9.2 MB">
-<!ENTITY readline-version "4.3">
-<!ENTITY readline-download-http
-	 "http://ftp.gnu.org/gnu/readline/readline-4.3.tar.gz">
-<!ENTITY readline-download-ftp
-	 "ftp://ftp.gnu.org/gnu/readline/readline-4.3.tar.gz">
-<!ENTITY readline-size "944 KB">
 <!ENTITY readline-time "0.10 SBU">
Index: general/genlib/slang/slang.ent
===================================================================
--- general/genlib/slang/slang.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/slang/slang.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -2,10 +2,10 @@
 <!ENTITY slang-intro SYSTEM "slang-intro.xml">
 <!ENTITY slang-inst SYSTEM "slang-inst.xml">
+<!ENTITY slang-config SYSTEM "slang-config.xml">
 <!ENTITY slang-desc SYSTEM "slang-desc.xml">
-<!ENTITY slang-config SYSTEM "slang-config.xml">
-<!ENTITY slang-buildsize "9.6 MB">
 <!ENTITY slang-version "1.4.9">
-<!ENTITY slang-download-http "">
+<!ENTITY slang-download-http "http://gd.tuwien.ac.at/editors/davis/slang/v1.4/slang-&slang-version;.tar.bz2">
 <!ENTITY slang-download-ftp "ftp://space.mit.edu/pub/davis/slang/v1.4/slang-&slang-version;.tar.bz2">
 <!ENTITY slang-size "624 KB">
+<!ENTITY slang-buildsize "9.6 MB">
 <!ENTITY slang-time "0.16 SBU">
Index: general/genlib/slib/slib.ent
===================================================================
--- general/genlib/slib/slib.ent	(revision 51454736c8f2dfcd86cce85b9d667de3eb1f7235)
+++ general/genlib/slib/slib.ent	(revision 46b80247025c8f2b68ed91067c3806ade0aa6c47)
@@ -3,8 +3,8 @@
 <!ENTITY slib-inst SYSTEM "slib-inst.xml">
 <!ENTITY slib-desc SYSTEM "slib-desc.xml">
-<!ENTITY slib-buildsize "2.9 MB">
 <!ENTITY slib-version "2d6">
 <!ENTITY slib-download-http "http://www.swiss.ai.mit.edu/ftpdir/scm/slib&slib-version;.tar.gz">
 <!ENTITY slib-download-ftp "">
-<!ENTITY slib-size "620 KB">
-<!ENTITY slib-time "">
+<!ENTITY slib-size "636 KB">
+<!ENTITY slib-buildsize "2.9 MB">
+<!ENTITY slib-time "0.00 SBU">
